## buildapp 1.1

=== Makefile ===
DESTDIR = /usr/local

buildapp: command-line.lisp utils.lisp buildapp.lisp dumper.lisp package.lisp
	sbcl --noinform --no-userinit --no-sysinit \
	  --eval "(require 'asdf)" \
	  --eval "(require 'buildapp)" \
          --eval "(buildapp::build-buildapp)" \
          --eval "(quit)"

clean:
	rm -f buildapp *~ *.fasl

install: buildapp
	install -c -m 555 buildapp ${DESTDIR}/bin/buildapp

=== debian/changelog ===
buildapp (1.1-1) unstable; urgency=low

  * Initial release (Closes: #588286)

 -- Christoph Egger <christoph@debian.org>  Tue, 06 Jul 2010 22:25:14 +0200

## buildapp 1.2

=== debian/changelog ===
buildapp (1.2-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Tue, 10 May 2011 22:42:20 +0200

## buildapp 1.4.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 DESTDIR = /usr/local
 
 buildapp: command-line.lisp utils.lisp buildapp.lisp dumper.lisp package.lisp
-	sbcl --noinform --no-userinit --no-sysinit \
+	sbcl --noinform --no-userinit --no-sysinit --disable-debugger \
 	  --eval "(require 'asdf)" \
 	  --eval "(require 'buildapp)" \
           --eval "(buildapp::build-buildapp)" \

=== debian/changelog ===
buildapp (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Fri, 09 Dec 2011 23:13:13 +0100

## buildapp 1.4.6

=== debian/changelog ===
buildapp (1.4.6-2) unstable; urgency=low

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Tue, 02 Jul 2013 22:59:34 +0200

buildapp (1.4.6-1) experimental; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Fri, 14 Dec 2012 15:04:56 -0800

## buildapp 1.5

=== debian/changelog ===
buildapp (1.5-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Tue, 24 Dec 2013 12:03:55 +0100

=== debian/control ===
Source: buildapp
Section: lisp
Priority: optional
Maintainer: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7.0.50~), sbcl, cl-asdf
Standards-Version: 3.9.0
Homepage: http://www.xach.com/lisp/buildapp/
Vcs-Git: git://git.debian.org/collab-maint/buildapp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/buildapp.git;a=summary

Package: buildapp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sbcl
Description: application to create common lisp images
 Buildapp is an application for SBCL that configures and saves an
 executable Common Lisp image. It is similar to cl-launch and
 hu.dwim.build.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/xach/buildapp release-([\d\.]+).tar.gz

## buildapp 1.5.4

=== debian/changelog ===
buildapp (1.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sun, 03 May 2015 14:02:22 +0200

## buildapp 1.5.5

=== Makefile ===
DESTDIR = /usr/local
LISP := sbcl

ifeq ($(LISP),sbcl)
FLAGS=--noinform --no-userinit --no-sysinit --disable-debugger
else
FLAGS=--quiet --no-init
endif

buildapp: command-line.lisp utils.lisp buildapp.lisp dumper.lisp package.lisp
	$(LISP) $(FLAGS) \
	  --eval "(require 'asdf)" \
	  --eval "(push \"$$(pwd)/\" asdf:*central-registry*)" \
	  --eval "(require 'buildapp)" \
          --eval "(buildapp::build-buildapp)" \
          --eval "#+sbcl (exit) #+ccl (quit)"

clean:
	rm -f buildapp *~ *.fasl *.lx32fsl

install: buildapp
	install -c -m 555 buildapp ${DESTDIR}/bin/buildapp

=== debian/changelog ===
buildapp (1.5.5-1) unstable; urgency=medium

  * New upstream version
  * Bump compat version to 9
  * use canonical Vcs URLs
  * Bump standards-version

 -- Christoph Egger <christoph@debian.org>  Fri, 11 Sep 2015 17:17:03 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/buildapp/usr install

override_dh_strip:

## buildapp 1.5.6

=== debian/changelog ===
buildapp (1.5.6-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sébastien Villemot ]
  * debian/watch: fix for URL change at github.com
  * Bump debhelper from old 12 to 13.
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 10 Nov 2021 20:52:07 +0100

buildapp (1.5.6-2) unstable; urgency=medium

  * Team upload
  * Rebuild against newer ASDF (Closes: #900099)
  * Also add an autopkgtest to early-detect that kind of regression
  * Move to team-maintenance in the Debian Common Lisp Team
  * Update Vcs-* fields for move to salsa
  * Register HTML documentation into doc-base
  * Simplify manpage and point to --help and the HTML documentation, to
    avoid displaying outdated information
  * Rewrite d/copyright using machine-readable format 1.0
  * Bump to debhelper compat level 11
  * Bump S-V to 4.1.4
  * Bump to watch file format version 4
  * Use secure URL for Homepage

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 26 May 2018 16:32:24 +0200

buildapp (1.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Thu, 05 Jan 2017 15:26:03 -0500

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_install:
 	make DESTDIR=$(CURDIR)/debian/buildapp/usr install

=== debian/tests/control ===
Tests: load-system
Depends: @, sbcl, cl-alexandria

=== debian/watch ===
version=4
https://github.com/xach/buildapp/tags \
.*[^n]/(?:|v|version-|r|REL_|rel-|release(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
